Subject: Re: Missing Package in git Installation Instructions (git-scm.com)

From: Christoph Michelbach <[email-masked]>
Date: Tue, 05 Jul 2016 20:08:26 +0200

Thank you both!

I cloned the repository to fix it yet found it already fixed so assumed
either of you did that. But according to git blame, that line was last
touched 94 days ago by Yue Lin Ho and they made exactly that change. It
seems to take a long time until they publish it on the website.

-- 
With kind regards
Christoph Michelbach

On Tue, 2016-07-05 at 15:24 +0200, Jakub Narębski wrote:
> W dniu 2016-07-05 o 08:10, Johannes Schindelin pisze:
> > 
> > Hi Chris,
> > 
> > On Tue, 5 Jul 2016, Christoph Michelbach wrote:
> > 
> > > 
> > > Hi, I noticed that the instructions on https://git-scm.com/book/e
> > > n/v2/G
> > > etting-Started-Installing-Git don't work without dh-autoreconf
> > > installed on an apt-get system which isn't listed on that site.
> > > Can you
> > > fix that or tell me whom to tell about this? The website doesn't
> > > offer
> > > contact information. Just tried this on a fresh Ubuntu 16.04
> > > installation.
> > When you follow that link, do you see this text on the left side?
> > 
> > 	The source of this book is hosted on GitHub.
> > 	Patches, suggestions and comments are welcome.
> > 
> > It links to https://github.com/progit/progit2 and I am sure your
> > bug
> > report would make an excellent contribution to the bug tracker
> > ("Issues")
> > in that repository.
> > 
> > It would probably be even better if you cloned said repository,
> > found the
> > respective file via `git grep apt-get`, fixed it, and opened a Pull
> > Request.
> Or you can even fix it from a web interface, if you have a GitHub
> account.
> Behind the scene, GitHub would fork a repository, edit file and
> create
> a commit, then create a pull request.  Very easy for one-off fixes,
> assuming
> that you have a GitHub account.
>